<mat-nav-list>
    <div class="profile-card">
        <div class="header">
            <h2>{{user.email}}</h2>
        </div>
        <img matListAvatar [src]="image" alt="Soufiane FADIL">
    </div>

    <mat-divider></mat-divider>
    <h2 matSubheader>Users</h2>
    <mat-divider></mat-divider>

    <mat-list-item (click)="openUserDialog()">
        <p mat-line>Create User</p>
        <button mat-icon-button>
            <mat-icon>add</mat-icon>
        </button>
    </mat-list-item>

    <mat-list-item routerLinkActive="list-item-active" *ngFor="let item of userItems" [routerLink]="item.route">
        <p mat-line>{{item.message}}</p>
        <button mat-icon-button>
            <mat-icon>{{item.icon}}</mat-icon>
        </button>
        <mat-divider></mat-divider>
    </mat-list-item>

    <h2 matSubheader>Roles</h2>
    <mat-divider></mat-divider>

    <mat-list-item (click)="openRoleDialog()">
        <p mat-line>Create Role</p>
        <button mat-icon-button>
            <mat-icon>add</mat-icon>
        </button>
    </mat-list-item>

    <mat-list-item routerLinkActive="list-item-active" *ngFor="let item of roleItems" [routerLink]="item.route">
        <p mat-line>{{item.message}}</p>
        <button mat-icon-button>
            <mat-icon>{{item.icon}}</mat-icon>
        </button>
        <mat-divider></mat-divider>
    </mat-list-item>

    <h2 matSubheader>Resources</h2>
    <mat-divider></mat-divider>

    <mat-list-item routerLinkActive="list-item-active" *ngFor="let item of resourceItems" [routerLink]="item.route">
        <p mat-line>{{item.message}}</p>
        <button mat-icon-button>
            <mat-icon>{{item.icon}}</mat-icon>
        </button>
        <mat-divider></mat-divider>

    </mat-list-item>

    <h2 matSubheader>Organization</h2>
    <mat-list-item (click)="openDialog()">
        <p mat-line>Create Organization</p>
        <button mat-icon-button>
            <mat-icon>add</mat-icon>
        </button>
    </mat-list-item>
    <mat-divider></mat-divider>
</mat-nav-list>
